From 2e863b65ee0604b326c6e80fd88c337adde59ac7 Mon Sep 17 00:00:00 2001
From: Paul Wise <pabs@debian.org>
Date: Tue, 28 Jan 2014 08:51:10 +0800
Subject: [PATCH] Check for emacs-package-install before using it

---
 autoscripts/postinst-emacsen | 2 +-
 autoscripts/preinst-emacsen  | 2 +-
 autoscripts/prerm-emacsen    | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/autoscripts/postinst-emacsen b/autoscripts/postinst-emacsen
index 6a46d79..82ce957 100644
--- a/autoscripts/postinst-emacsen
+++ b/autoscripts/postinst-emacsen
@@ -1,4 +1,4 @@
-if [ "$1" = "configure" ] && [ -e /var/lib/emacsen-common/state/package/installed/emacsen-common ]
+if [ "$1" = "configure" ] && [ -e /var/lib/emacsen-common/state/package/installed/emacsen-common -a -x /usr/lib/emacsen-common/emacs-package-install ]
 then
 	/usr/lib/emacsen-common/emacs-package-install --postinst #PACKAGE#
 fi
diff --git a/autoscripts/preinst-emacsen b/autoscripts/preinst-emacsen
index 780fc69..c4285d9 100644
--- a/autoscripts/preinst-emacsen
+++ b/autoscripts/preinst-emacsen
@@ -1,5 +1,5 @@
 if ( [ "$1" = "install" ] || [ "$1" = "upgrade" ] ) \
-	&& [ -e /var/lib/emacsen-common/state/package/installed/emacsen-common ]
+	&& [ -e /var/lib/emacsen-common/state/package/installed/emacsen-common -a -x /usr/lib/emacsen-common/emacs-package-install ]
 then
 	/usr/lib/emacsen-common/emacs-package-install --preinst #PACKAGE#
 fi
diff --git a/autoscripts/prerm-emacsen b/autoscripts/prerm-emacsen
index 31ecfaa..4c7c2b0 100644
--- a/autoscripts/prerm-emacsen
+++ b/autoscripts/prerm-emacsen
@@ -1,3 +1,3 @@
-if [ -e /var/lib/emacsen-common/state/package/installed/emacsen-common ] ; then
+if [ -e /var/lib/emacsen-common/state/package/installed/emacsen-common -a -x /usr/lib/emacsen-common/emacs-package-remove ] ; then
 	/usr/lib/emacsen-common/emacs-package-remove --prerm #PACKAGE#
 fi
-- 
1.8.5.3

